apt postinst failure if ubuntu-keyring not installed

Bug #816606 reported by Sworddragon on 2011-07-26
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Critical
Unassigned

Bug Description

I'm using Ubuntu 11.10 dev and wanted to upgrade apt to version 0.8.15.4ubuntu1. I got at the configuring process the message "ERROR: Can't find the archive-keyring". I haven't ubuntu-keyring installed because it is no dependency. Installing ubuntu-keyring as a workaround will successfully configure apt.

Related branches

Robert Collins (lifeless) wrote :

This also affects debootstrap where ubuntu-keyring is not yet configured - its only a recommends, so the debootstrap fails.

The apt-get call probably needs to be made optional.

Changed in apt (Ubuntu):
status: New → Confirmed
Robert Collins (lifeless) wrote :

(or the recommends upgraded to a depends (or possibly pre-depends)).

summary: - apt can't be upgraded without ubuntu-keyring
+ apt postinst failure if ubuntu-keyring not installed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 0.8.15.5ubuntu2

---------------
apt (0.8.15.5ubuntu2) oneiric; urgency=low

  * Merge change from Robert Collins to upgrade ubuntu-keyring recommends
    to a hard dependency to match Debian behaviour and fix LP: #816606
 -- Adam Conrad <email address hidden> Wed, 03 Aug 2011 07:41:54 +0100

Changed in apt (Ubuntu):
status: Confirmed → Fix Released
Sworddragon (sworddragon) wrote :

Since apt 0.8.16 ubuntu-keyring is a recommend again (how can this happen?) and the error from the startpost appears again.

Changed in apt (Ubuntu):
status: Fix Released → New
Robert Collins (lifeless) wrote :

Marking critical, as this breaks debootstrap etc

Changed in apt (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 0.8.16~exp5ubuntu4

---------------
apt (0.8.16~exp5ubuntu4) oneiric; urgency=low

  * Merge change from Robert Collins to upgrade ubuntu-keyring recommends
    to a hard dependency to match Debian behaviour and fix LP: #816606
 -- Adam Conrad <email address hidden> Tue, 09 Aug 2011 14:48:24 -0600

Changed in apt (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers